# 3.5.9. codebase_branch

resource type: codebase_branch
  Attributes:

    - codebaseid (integer) – the ID of the codebase that this commit is associated with

    - name (string) – the name of the branch

    - commitid? (int) – the ID of the current commit. This may be not set if there was an error accessing commit information, it was removed or due to similar reasons.

    - last_timestamp (int) – the time of the last branch change

A branch represents a certain named version of code in a codebase.

## 3.5.9.1. Update Methods

All update methods are available as attributes of `master.data.updates`.

class buildbot.data.codebases.CodebaseBranch
  update_branch(*, codebaseid, name, commitid, last_timestamp)
    Parameters:

      - codebaseid (int) – the ID of the codebase to associate branch with

      - name (str) – the name of the branch

      - commitid (int) – optional ID of the commit pointed to by branch

      - last_timestamp (int) – the time of last change of the branch

    Returns:

      None via Deferred.

    Updates information of the branch